using Syntriax.Engine.Physics2D.Abstract;
using Syntriax.Engine.Physics2D.Primitives;

namespace Syntriax.Engine.Physics2D;

public class Collider2DShapeBehaviour : Collider2DBehaviourBase, IShapeCollider2D
{
    public Shape ShapeWorld { get; protected set; } = Shape.Box;
    public Shape ShapeLocal { get; set; } = Shape.Box;


    public override void CalculateCollider() => Transform.TransformShape(ShapeLocal, ref _shapeWorld);


    public Collider2DShapeBehaviour() { }
    public Collider2DShapeBehaviour(Shape shape)
    {
        ShapeLocal = shape;
        Recalculate();
    }
}
